<?php
include("includes/Header.php");
include("includes/Sidebar.php");
include("config/dbcon.php");
include("includes/Topbar.php");
// include("includes/Edit_form.php");
?>
<link rel="stylesheet" href="assets/style.css">

<div class="content-wrapper">




  <section class="content mt-4">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-header">
              <h4>New Course
                <!-- <a href="" class="btn btn-primary float-right" data-toggle="modal" data-target="#exampleModal1"> Add Course +</a> -->
              </h4>
            </div>
            <div class="card-body">
              <div id="accordion">
                <!-- Accordion Item 2 -->
                <div class="card">
                  <div class="card-header" id="headingTwo">
                    <h5 class="mb-0">
                      <button class="btn btn-block pink-color collapsed mx-auto col-12" id="openPopupBtn" data-toggle="collapse" aria-expanded="false" aria-controls="collapseTwo">
                        Add Course +
                      </button>
                    </h5>
                  </div>
                  <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
                    <div class="card-body">
                      <!-- Content for Accordion Item 2 goes here -->
                      <form action="ProductDB.php" method="post">
                        <div class="form-group mb-3 mt-3">
                          <label for="category">Course Category</label>
                          <select class="form-control" id="category" aria-placeholder="Name" name="category">
                            <option value="" disabled selected>Select a Course Category</option>
                            <?php
                            $query = "SELECT * FROM coming_soon";
                            $query_run = mysqli_query($conn, $query);

                            if ($query_run) {
                              while ($row = mysqli_fetch_assoc($query_run)) {
                                $email = $row['Email'];
                            ?>
                                <option value="<?php echo $email; ?>"><?php echo $email; ?></option>
                            <?php
                              }
                            } else {
                              echo "Error in query: " . mysqli_error($conn);
                            }
                            ?>
                          </select>
                        </div>

                        <div class="form-group mb-3">
                          <label for="categoryName">Course Name</label>
                          <input type="text" class="form-control" id="categoryName" placeholder=" Name" name="name">
                        </div>
                        <div class="form-group mb-3">
                          <label for="productDescription">Course Description</label>
                          <input type="text" class="form-control" id="productDescription" placeholder="Description" name="P_D">
                        </div>
                        <!-- <div class="form-group mb-3">
                          <label for="productVariants">Course Variants</label>
                          <input type="text" class="form-control" id="productVariants" placeholder="Product variants" name="variants">
                        </div> -->
                        <div class="container container12">
                          <div class="form-group mb-3 highlight-container">
                            <label for="productSize">Course Highlight 1</label>
                            <input type="text" class="form-control" id="productSize" placeholder="" name="size">
                          </div>

                          <button type="button" class="btn btn-success float-right" id="addHighlightBtn">Add Highlight</button>
                        </div>
                        <!-- <div class="form-group mb-3">
                          <label for="productPrice">Course Price</label>
                          <input type="text" class="form-control" id="productPrice" placeholder="Price" name="price">
                        </div> -->
                        <button type="button" class="btn btn-success pink-color float-left my-4 d-block" id="addRowBtn">Add Video</button>
                       
                        <div class="container mt-4 d-none" id="variantsContainer">
                          <!-- <label for="">Video</label> -->
                          <div class="form-group mb-3 card-body border">
                            <div class="row">
                              <div class="col-md-6">
                                <label for="videoFile">Choose Video:</label>
                                <input type="file" class="form-control-file" id="videoFile" name="videoFile" accept="video/*" required>
                              </div>
                              <div class="col-md-6">
                                <div class="mb-3">
                                  <label for="videoName">Video Name:</label>
                                  <input type="text" class="form-control" id="videoName" name="videoName" required>
                                </div>

                                <div class="mb-3">
                                  <label for="videoDescription">Description:</label>
                                  <textarea class="form-control" id="videoDescription" name="videoDescription" required></textarea>
                                </div>

                                <!-- <div class="mb-3">
                                  <label for="videoHighlights">Video Highlights:</label>
                                  <input type="text" class="form-control" id="videoHighlights" name="videoHighlights">
                                </div> -->
                                <div class="container container121">
                                  <div class="form-group highlight-container">
                                    <label for="videoHighlights">Video Highlights:</label>
                                    <input type="text" class="form-control" id="videoHighlights1" name="videoHighlights">
                                  </div>

                                  <button type="button" class="btn btn-success float-right" id="addHighlightBtn1">Add Highlight</button>
                                </div>
                              </div>
                              <button type="button" class="btn btn-success pink-color float-left my-4 d-block" id="addRowBtn">Add Video</button>

                            </div>

                          </div>
                        </div>



                        <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                        <!-- <button type="submit" class="btn  float-right" name="submit">Save</button> -->
                      </form>
                      <!-- <h1>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa dolor officiis magnam placeat necessitatibus nemo, odit expedita vel commodi quidem minima blanditiis suscipit nisi, totam eius assumenda! Ut, a ad.</h1> -->
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>


  <!-- Modal for popup messages -->
  <div class="modal fade" id="popupModal" tabindex="-1" role="dialog" aria-labelledby="popupModalLabel" aria-hidden="true">
    <div class="modal-dialog h-75" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="popupModalLabel">VENDOR AGREEMENT</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <div class="scollbar-text" style=" max-height: 300px; overflow-y: auto;">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Minus repudiandae veritatis dolorum beatae, cupiditate
              necessitatibus quos quis placeat nihil inventore ipsum,
              facilis impedit nulla iure soluta est, nobis eos aliquid!</p>


            <div class="form-check">
              <input type="checkbox" class="form-check-input" id="enableSubmit">
              <label class="form-check-label" for="enableSubmit">I have read <a href="#">T&C</a> </label>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          <button type="button" class="btn btn-primary" id="confirmAddCourse" data-target="#collapseTwo" disabled>Accept</button>
        </div>
      </div>
    </div>
  </div>


  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="card ">
          <div class="card-header">
            <h2 class="text-center">Your Course</h2>

          </div>
          <div class="card-header">
            <div id="accordion">


              <!-- Accordion Item 2 -->
              <div class="card">
                <div class="card-header" id="headingTwo">
                  <h5 class="mb-0"> New Course
                    <button style="" class="btn  pink-color collapsed float-right" data-toggle="collapse" data-target="#collapseTwo1" aria-expanded="false" aria-controls="collapseTwo1">
                      View Course
                    </button>
                  </h5>
                </div>

                <div id="collapseTwo1" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
                  <div class="card-body">
                    <!-- Content for Accordion Item 2 goes here -->
                    <form action="ProductDB.php" method="post">
                      <!-- <div class="form-group mb-3 mt-3">
                          <label for="category">Course Category</label>
                          <select class="form-control" id="category" aria-placeholder="Name" name="category">
                            <option value="" disabled selected>Select a Course Category</option>
                            <?php
                            //  $query = "SELECT * FROM coming_soon";
                            // $query_run = mysqli_query($conn, $query);

                            // if ($query_run) {
                            //   while ($row = mysqli_fetch_assoc($query_run)) {
                            //     $email = $row['Email'];
                            // 
                            ?>
                            //     <option value="<?php echo $email; ?>"><?php echo $email; ?></option>
                            // <?php
                                //   }
                                // } else {
                                //   echo "Error in query: " . mysqli_error($conn);
                                // }
                                ?>
                          </select>
                        </div> -->

                      <div class="form-group mb-3">
                        <label for="categoryName">Course Name</label>
                        <input type="text" class="form-control" id="categoryName" placeholder=" Name" name="name" disabled>
                      </div>
                      <div class="form-group mb-3">
                        <label for="productDescription">Course Description</label>
                        <input type="text" class="form-control" id="productDescription" placeholder="Description" name="P_D" disabled>
                      </div>
                      <!-- <div class="form-group mb-3">
                        <label for="productVariants">Course Variants</label>
                        <input type="text" class="form-control" id="productVariants" placeholder="Product variants" name="variants">
                      </div> -->
                      <div class="form-group mb-3">
                        <label for="productSize">Course Highlight</label>
                        <input type="text" class="form-control" id="productSize" placeholder=" size" name="size" disabled>
                      </div>
                      <!-- <div class="form-group mb-3">
                        <label for="productPrice">Course Price</label>
                        <input type="text" class="form-control" id="productPrice" placeholder="Price" name="price" disabled>
                      </div> -->
                      <div class="container mt-4">
                        <h2>videos</h2>
                        <div class="row">
                          <!-- First Column -->
                          <div class="col-md-4">
                            <div class="form-group mb-3 card-body border">
                              <label for="videoFile1">Video1:</label>
                              <button type="button" class="btn btn-success float-right" id="addRowBtn1"><b>Play</b></button>
                              <div class="row">
                                <div class="col-md-12">
                                  <h5>Description:</h5>
                                  <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Labore illum eius veritatis, distinctio odit et aliquid minima nisi, quisquam, id ipsa quibusdam dolorem ad quos iure iusto. Eveniet, placeat quibusdam?</p>
                                </div>
                                <div class="col-md-4">
                                  <!-- Add your video player or any other content here if needed -->
                                </div>
                              </div>
                            </div>
                          </div>

                          <!-- Second Column -->
                          <div class="col-md-4">
                            <div class="form-group mb-3 card-body border">
                              <label for="videoFile1">Video1:</label>
                              <button type="button" class="btn btn-success float-right" id="addRowBtn1"><b>Play</b></button>
                              <div class="row">
                                <div class="col-md-12">
                                  <h5>Description:</h5>
                                  <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Labore illum eius veritatis, distinctio odit et aliquid minima nisi, quisquam, id ipsa quibusdam dolorem ad quos iure iusto. Eveniet, placeat quibusdam?</p>
                                </div>
                                <div class="col-md-4">
                                  <!-- Add your video player or any other content here if needed -->
                                </div>
                              </div>
                            </div>
                          </div>

                          <!-- Third Column -->
                          <div class="col-md-4">
                            <div class="form-group mb-3 card-body border">
                              <label for="videoFile1">Video1:</label>
                              <button type="button" class="btn btn-success float-right" id="addRowBtn1"><b>Play</b></button>
                              <div class="row">
                                <div class="col-md-12">
                                  <h5>Description:</h5>
                                  <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Labore illum eius veritatis, distinctio odit et aliquid minima nisi, quisquam, id ipsa quibusdam dolorem ad quos iure iusto. Eveniet, placeat quibusdam?</p>
                                </div>
                                <div class="col-md-4">
                                  <!-- Add your video player or any other content here if needed -->
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>



                      <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                      <button type="submit" class="btn  float-right" name="submit">Save</button>
                    </form>
                    <!-- <h1>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa dolor officiis magnam placeat necessitatibus nemo, odit expedita vel commodi quidem minima blanditiis suscipit nisi, totam eius assumenda! Ut, a ad.</h1> -->
                  </div>
                </div>
              </div>

              <!-- Add more accordion items as needed -->

            </div>
            <div id="accordion">


              <!-- Accordion Item 2 -->
              <div class="card">
                <div class="card-header" id="headingTwo">
                  <h5 class="mb-0"> New Course
                    <button class="btn  pink-color collapsed float-right" data-toggle="collapse" data-target="#collapseTwo2" aria-expanded="false" aria-controls="collapseTwo2">
                      View Course
                    </button>
                  </h5>
                </div>

                <div id="collapseTwo2" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
                  <div class="card-body">
                    <!-- Content for Accordion Item 2 goes here -->
                    <form action="ProductDB.php" method="post">
                      <!-- <div class="form-group mb-3 mt-3">
                          <label for="category">Course Category</label>
                          <select class="form-control" id="category" aria-placeholder="Name" name="category">
                            <option value="" disabled selected>Select a Course Category</option>
                            <?php
                            //  $query = "SELECT * FROM coming_soon";
                            // $query_run = mysqli_query($conn, $query);

                            // if ($query_run) {
                            //   while ($row = mysqli_fetch_assoc($query_run)) {
                            //     $email = $row['Email'];
                            // 
                            ?>
                            //     <option value="<?php echo $email; ?>"><?php echo $email; ?></option>
                            // <?php
                                //   }
                                // } else {
                                //   echo "Error in query: " . mysqli_error($conn);
                                // }
                                ?>
                          </select>
                        </div> -->

                      <div class="form-group mb-3">
                        <label for="categoryName">Course Name</label>
                        <input type="text" class="form-control" id="categoryName" placeholder=" Name" name="name">
                      </div>
                      <div class="form-group mb-3">
                        <label for="productDescription">Product Description</label>
                        <input type="text" class="form-control" id="productDescription" placeholder="Description" name="P_D">
                      </div>
                      <!-- <div class="form-group mb-3">
          <label for="productVariants">Course Variants</label>
          <input type="text" class="form-control" id="productVariants" placeholder="Product variants" name="variants">
        </div> -->
                      <div class="form-group mb-3">
                        <label for="productSize">Product Size</label>
                        <input type="text" class="form-control" id="productSize" placeholder="Product size" name="size">
                      </div>
                      <!-- <div class="form-group mb-3">
                        <label for="productPrice">Product Price</label>
                        <input type="text" class="form-control" id="productPrice" placeholder="Price" name="price">
                      </div> -->
                      <div class="form-group mb-3 card-body border">
                        <label for="videoFile">Choose Video:</label>
                        <input type="file" class="form-control-file" id="videoFile" name="videoFile" accept="video/*" required>
                        <button type="button" class="btn btn-success float-right" id="addRowBtn"><b>+</b></button>
                      </div>


                      <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                      <button type="submit" class="btn  float-right" name="submit">Save</button>
                    </form>
                    <!-- <h1>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa dolor officiis magnam placeat necessitatibus nemo, odit expedita vel commodi quidem minima blanditiis suscipit nisi, totam eius assumenda! Ut, a ad.</h1> -->
                  </div>
                </div>
              </div>

              <!-- Add more accordion items as needed -->

            </div>
            <div id="accordion">


              <!-- Accordion Item 2 -->
              <div class="card">
                <div class="card-header" id="headingTwo">
                  <h5 class="mb-0"> New Course
                    <button class="btn  pink-color collapsed float-right" data-toggle="collapse" data-target="#collapseTwo3" aria-expanded="false" aria-controls="collapseTwo">
                      View Course
                    </button>
                  </h5>
                </div>

                <div id="collapseTwo3" class="collapse" aria-labelledby="headingTwo" data-parent="#accordion">
                  <div class="card-body">
                    <!-- Content for Accordion Item 2 goes here -->
                    <form action="ProductDB.php" method="post">
                      <!-- <div class="form-group mb-3 mt-3">
                          <label for="category">Course Category</label>
                          <select class="form-control" id="category" aria-placeholder="Name" name="category">
                            <option value="" disabled selected>Select a Course Category</option>
                            <?php
                            //  $query = "SELECT * FROM coming_soon";
                            // $query_run = mysqli_query($conn, $query);

                            // if ($query_run) {
                            //   while ($row = mysqli_fetch_assoc($query_run)) {
                            //     $email = $row['Email'];
                            // 
                            ?>
                            //     <option value="<?php echo $email; ?>"><?php echo $email; ?></option>
                            // <?php
                                //   }
                                // } else {
                                //   echo "Error in query: " . mysqli_error($conn);
                                // }
                                ?>
                          </select>
                        </div> -->

                      <div class="form-group mb-3">
                        <label for="categoryName">Course Name</label>
                        <input type="text" class="form-control" id="categoryName" placeholder=" Name" name="name">
                      </div>
                      <div class="form-group mb-3">
                        <label for="productDescription">Product Description</label>
                        <input type="text" class="form-control" id="productDescription" placeholder="Description" name="P_D">
                      </div>
                      <!-- <div class="form-group mb-3">
          <label for="productVariants">Course Variants</label>
          <input type="text" class="form-control" id="productVariants" placeholder="Product variants" name="variants">
        </div> -->
                      <div class="form-group mb-3">
                        <label for="productSize">Product Size</label>
                        <input type="text" class="form-control" id="productSize" placeholder="Product size" name="size">
                      </div>
                      <div class="form-group mb-3">
                        <label for="productPrice">Product Price</label>
                        <input type="text" class="form-control" id="productPrice" placeholder="Price" name="price">
                      </div>
                      <div class="form-group mb-3 card-body border">
                        <label for="videoFile">Choose Video:</label>
                        <input type="file" class="form-control-file" id="videoFile" name="videoFile" accept="video/*" required>
                        <button type="button" class="btn btn-success float-right" id="addRowBtn"><b>+</b></button>
                      </div>


                      <!-- <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                      <button type="submit" class="btn  float-right" name="submit">Save</button>
                    </form>
                    <!-- <h1>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ipsa dolor officiis magnam placeat necessitatibus nemo, odit expedita vel commodi quidem minima blanditiis suscipit nisi, totam eius assumenda! Ut, a ad.</h1> -->
                  </div>
                </div>
              </div>



            </div>
          </div>
        </div>
      </div>
    </div>
  </div>








</div>





<!-- Button trigger modal -->
<!-- <button type="button" class="btn " data-toggle="modal" data-target="#exampleModal">
  Launch demo modal
</button> -->






<!-- <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">New Product</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="ProductDB.php" method="post">
          <div class="form-group mb-3 mt-3">
            <label for="category">Product Category</label>
            <select class="form-control" id="category" aria-placeholder="Name" name="category">
              <option value="" disabled selected>Select a Product Category</option>
              <?php
              $query = "SELECT * FROM coming_soon";
              $query_run = mysqli_query($conn, $query);

              if ($query_run) {
                while ($row = mysqli_fetch_assoc($query_run)) {
                  $email = $row['Email'];
              ?>
                  <option value="<?php echo $email; ?>"><?php echo $email; ?></option>
              <?php
                }
              } else {
                echo "Error in query: " . mysqli_error($conn);
              }
              ?>
            </select>
          </div>

          <div class="form-group mb-3">
            <label for="categoryName">Product Name</label>
            <input type="text" class="form-control" id="categoryName" placeholder=" Name" name="name">
          </div>
          <div class="form-group mb-3">
            <label for="productDescription">Product Description</label>
            <input type="text" class="form-control" id="productDescription" placeholder="P_D" name="P_D">
          </div>
          <div class="form-group mb-3">
            <label for="productVariants">Product Variants</label>
            <input type="text" class="form-control" id="productVariants" placeholder="Product variants" name="variants">
          </div>
          <div class="form-group mb-3">
            <label for="productSize">Product Size</label>
            <input type="text" class="form-control" id="productSize" placeholder="Product size" name="size">
          </div>
          <div class="form-group mb-3">
            <label for="productPrice">Product Price</label>
            <input type="text" class="form-control" id="productPrice" placeholder="Price" name="price">
          </div>
          <div class="form-group mb-3">
            <label for="productImages">Product Images</label>
            <input type="file" class="form-control-file" id="productImages" name="images[]" multiple>
          </div>

          <button type="submit" class="btn  float-right" name="submit">Save</button>
        </form>
      </div>


    </div>
  </div>
</div> -->






<script>
  document.getElementById('openPopupBtn').addEventListener('click', function() {
    $('#popupModal').modal('show');
  });

  document.getElementById('confirmAddCourse').addEventListener('click', function() {
    $('#popupModal').modal('hide');
    // Open the accordion
    $('#collapseTwo').collapse('show');
  });


  document.getElementById('enableSubmit').addEventListener('change', function() {
    var submitButton = document.getElementById('confirmAddCourse');
    submitButton.disabled = !this.checked;
  });
</script>



<?php
include("includes/Footer.php")
?>